## ayatana-indicator-keyboard 0.7.900

=== CMakeLists.txt ===
project(ayatana-indicator-keyboard C CXX)
cmake_minimum_required(VERSION 2.8.12)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set(PROJECT_VERSION "0.7.900")
set(PACKAGE ${CMAKE_PROJECT_NAME})

# GNU standard installation directories
include (GNUInstallDirs)
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

# Gettext
set(GETTEXT_PACKAGE "ayatana-indicator-keyboard")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

# Check for prerequisites
find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)
pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 x11>=1.6.7 libxklavier>=5.4)
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

# custom targets
set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr ${CMAKE_SOURCE_DIR}/src)

# Actual building
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Weverything")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-c++98-compat -Wno-padded")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-documentation")

else()

  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall -Wformat=2")

endif()

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# actually build things
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===

# Systemd Unit File

pkg_check_modules(SYSTEMD systemd)

if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")
    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
    install (FILES "${SYSTEMD_USER_FILE}" DESTINATION "${SYSTEMD_USER_DIR}")

endif()

# XDG Autostart File

set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")
set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
install (FILES "${XDG_AUTOSTART_FILE}" DESTINATION "${XDG_AUTOSTART_DIR}")

# Ayatana Indicators File

set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicators install dir")
set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.keyboard")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")
install (FILES "${AYATANA_INDICATOR_FILE}" DESTINATION "${AYATANA_INDICATOR_DIR}")

# Icons

set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
message (STATUS "${ICON_DIR} is the Icon install dir")
install (DIRECTORY icons/scalable DESTINATION "${ICON_DIR}" FILES_MATCHING PATTERN "*.svg")
install(CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${ICON_DIR})" CODE "message (STATUS \"Updating icon cache\")")

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
set (SERVICE_LIB "ayatanaindicatorkeyboardservice")
set (SERVICE_EXEC "ayatana-indicator-keyboard-service")

add_definitions(-DG_LOG_DOMAIN="ayatana-indicator-keyboard")

# handwritten sources
set(SERVICE_MANUAL_SOURCES keyboard.c service.c utils.c)

# generated sources
set(SERVICE_GENERATED_SOURCES)

# add the bin dir to our include path so the code can find the generated header files
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# add warnings/coverage info on handwritten files but not the autogenerated ones...
set_source_files_properties(${SERVICE_MANUAL_SOURCES} PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -g -std=c99")

# the service library for tests to link against (basically, everything except main())
add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories(${CMAKE_SOURCE_DIR})
link_directories(${SERVICE_DEPS_LIBRARY_DIRS})

# the executable: lib + main()
add_executable (${SERVICE_EXEC} main.c)
set_source_files_properties(${SERVICE_SOURCES} main.c PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -std=c99")
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== debian/changelog ===
ayatana-indicator-keyboard (0.7.900-3nmu1) hirsute; urgency=medium

  * debian/patches:
    + Add 0000_test_layout_variant_is_null.patch. (LP:#1915492)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Thu, 01 Apr 2021 09:51:47 +0100

ayatana-indicator-keyboard (0.7.900-3) unstable; urgency=medium

  * debian/copyright:
    + Adjust GPL-3 license text to be really GPL-3 (and not GPL-3+).
      Thanks to Thorsten Alteholz for spotting this.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 07 Feb 2021 15:47:28 +0100

ayatana-indicator-keyboard (0.7.900-2) unstable; urgency=medium

  * debian/copyright:
    + Revisit copyright attributions and fix license (GPL-3+ -> GPL-3). Also
      spot other copyright holders for some files. Thanks to Thorsten Alteholz
      for spotting these.
  * Initial release to Debian. (Closes: #981645).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 23:11:41 +0100

ayatana-indicator-keyboard (0.7.900-1) REJECTED; urgency=medium

  * Initial release to Debian. (Closes: #981645).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Feb 2021 16:13:31 +0100

=== debian/control ===
Source: ayatana-indicator-keyboard
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               libglib2.0-dev (>= 2.36),
               libx11-dev (>= 1.6.4),
               libxklavier-dev (>= 5.4),
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard

Package: ayatana-indicator-keyboard
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator for managing keyboard layout and desktop language
 This Ayatana Indicator for keyboard layout configuration show as an icon
 in the top panel of indicator aware destkop environments. It should appear
 on the very left (or the very right for RTL desktop layouts) and presents
 itself to the user with a language letter symbol.
 .
 With the keyboard indicator, you can switch between key layouts or languages,
 and it helps you identifying which layouts are currently in use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_install:
	find debian/ayatana-indicator-keyboard -name \*.la -delete
	find debian/ayatana-indicator-keyboard -name \*.a -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-keyboard 0.7.901

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(ayatana-indicator-keyboard C CXX)
 cmake_minimum_required(VERSION 2.8.12)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-set(PROJECT_VERSION "0.7.900")
+set(PROJECT_VERSION "0.7.901")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # GNU standard installation directories

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -40,4 +40,3 @@
 set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
 message (STATUS "${ICON_DIR} is the Icon install dir")
 install (DIRECTORY icons/scalable DESTINATION "${ICON_DIR}" FILES_MATCHING PATTERN "*.svg")
-install(CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${ICON_DIR})" CODE "message (STATUS \"Updating icon cache\")")

=== debian/changelog ===
ayatana-indicator-keyboard (0.7.901-2) unstable; urgency=medium

  * debian/changelog:
    + Post-upload add closure for LP:#1915492
  * debian/control:
    + Fix Vcs-*: URLs. Point them to the packaging Git on salsa.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 May 2021 10:20:27 +0200

ayatana-indicator-keyboard (0.7.901-1) unstable; urgency=medium

  * New upstream release.
    - Test if layout variant is NULL before checking its string length.
      (LP: #1915492)

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Apr 2021 11:31:17 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
-Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
-Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-keyboard.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-keyboard
 
 Package: ayatana-indicator-keyboard
 Architecture: any

## ayatana-indicator-keyboard 0.7.901-0+git20210924.1193+11.nightly.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,30 @@
 project(ayatana-indicator-keyboard C CXX)
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.13)
+
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
+endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 set(PROJECT_VERSION "0.7.901")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
+
+# Options
+option(ENABLE_TESTS "Enable all tests and checks" OFF)
+option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
+option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
+
+if(ENABLE_COVERAGE)
+    set(ENABLE_TESTS ON)
+    set(CMAKE_BUILD_TYPE "Coverage")
+else()
+    set(CMAKE_BUILD_TYPE "Release")
+endif()
+
+if(ENABLE_WERROR)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+endif()
 
 # GNU standard installation directories
 include (GNUInstallDirs)
@@ -17,7 +39,8 @@
 find_package (PkgConfig REQUIRED)
 include (CheckIncludeFile)
 include (FindPkgConfig)
-pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 x11>=1.6.7 libxklavier>=5.4)
+pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 libayatana-common>=0.9.3)
+pkg_check_modules(X11_DEPS REQUIRED x11>=1.6.7 libxklavier>=5.4)
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})
 
 # custom targets
@@ -34,14 +57,32 @@
 
 else()
 
-  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall -Wformat=2")
+  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall")
 
 endif()
 
 include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
 include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
 
-# actually build things
 add_subdirectory(src)
 add_subdirectory(data)
 add_subdirectory(po)
+
+# Test and coverage
+if (ENABLE_TESTS)
+
+    include(CTest)
+    enable_testing()
+
+    if (ENABLE_COVERAGE)
+
+        find_package(CoverageReport)
+
+    endif()
+
+endif()
+
+# Display config info
+message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
+message(STATUS "Unit tests: ${ENABLE_TESTS}")
+message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 # Ayatana Indicators File
 
-set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
+set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATADIR}/ayatana/indicators")
 message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicators install dir")
 set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.keyboard")
 set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")
@@ -37,6 +37,6 @@
 
 # Icons
 
-set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
+set (ICON_DIR "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor")
 message (STATUS "${ICON_DIR} is the Icon install dir")
 install (DIRECTORY icons/scalable DESTINATION "${ICON_DIR}" FILES_MATCHING PATTERN "*.svg")

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

# libayatana-keyboard-backend-x11.so

add_library("ayatana-keyboard-x11" SHARED keyboard-x11.c)
target_link_libraries("ayatana-keyboard-x11" ${SERVICE_DEPS_LIBRARIES} ${X11_DEPS_LIBRARIES})
set_target_properties("ayatana-keyboard-x11" PROPERTIES VERSION 0.0.0 SOVERSION 0)
install(TARGETS "ayatana-keyboard-x11" DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

# libayatana-keyboard-backend-lomiri.so

add_library("ayatana-keyboard-lomiri" SHARED keyboard-lomiri.c)
target_link_libraries("ayatana-keyboard-lomiri" ${SERVICE_DEPS_LIBRARIES})
set_target_properties("ayatana-keyboard-lomiri" PROPERTIES VERSION 0.0.0 SOVERSION 0)
install(TARGETS "ayatana-keyboard-lomiri" DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

# libayatanaindicatorkeyboardservice.a

add_definitions(-DG_LOG_DOMAIN="ayatana-indicator-keyboard")
set_source_files_properties(service.c PROPERTIES COMPILE_FLAGS "-std=c99")
add_library("ayatanaindicatorkeyboardservice" STATIC service.c)
include_directories(${CMAKE_SOURCE_DIR})
link_directories(${SERVICE_DEPS_LIBRARY_DIRS})

# ayatana-indicator-keyboard-service

add_executable("ayatana-indicator-keyboard-service" main.c)
set_source_files_properties(service.c main.c PROPERTIES COMPILE_FLAGS "-std=c99")
target_link_libraries("ayatana-indicator-keyboard-service" "ayatanaindicatorkeyboardservice" "${SERVICE_DEPS_LIBRARIES} -ldl")
install(TARGETS "ayatana-indicator-keyboard-service" RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")

=== debian/changelog ===
ayatana-indicator-keyboard (0.7.901-0+git20210924.1193+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    108d1fa9bd789ebaea5700c30b0cc1b8c180bb22).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 24 Sep 2021 16:41:26 +0200

ayatana-indicator-keyboard (0.7.901-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-keyboard.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 12 Apr 2021 16:23:18 +0200

ayatana-indicator-keyboard (0.7.900-0) unstable; urgency=medium

  * Rewrite Ubuntu's indicator-keyboard from scratch in plain C.

  * Upstream-provided Debian package for ayatana-indicator-keyboard.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 12 Nov 2015 13:32:10 +0100

indicator-keyboard (0.0.0+15.10.20151006-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ William Hua ]
  * Manually set XDG_RUNTIME_DIR to fix the tests.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Oct 2015 17:26:37 +0000

indicator-keyboard (0.0.0+15.04.20150310-0ubuntu1) vivid; urgency=medium

  [ William Hua ]
  * Basic support for Fcitx input sources. (LP: #1363150)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 10 Mar 2015 17:20:41 +0000

indicator-keyboard (0.0.0+14.10.20140620.1-0ubuntu2) utopic; urgency=medium

  * No change rebuild for gnome-desktop 3.12

 -- Tim Lunn <tim@feathertop.org>  Mon, 29 Sep 2014 21:55:43 +1000

indicator-keyboard (0.0.0+14.10.20140620.1-0ubuntu1) utopic; urgency=low

  [ Ted Gould ]
  * Synchronize process management across indicators

  [ William Hua ]
  * Use get_state () on GLib.Action instead of the state member. Fixes
    FTBFS.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Jun 2014 09:58:51 +0000

indicator-keyboard (0.0.0+14.04.20140410.1-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * If an IBus input source is active when the session is locked, switch
    to another non-IBus one instead. (LP: #1301860)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 16:49:00 +0000

indicator-keyboard (0.0.0+14.04.20140410-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Export separate menus for desktop and greeter. (LP: #1291962)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 11:50:41 +0000

indicator-keyboard (0.0.0+14.04.20140403.1-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Document how to refresh indicator-keyboard's icons for the ubuntu-
    mono themes.
  * Refresh the menu and indicator when IBus is connected. (LP:
    #1246537)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Apr 2014 16:17:38 +0000

indicator-keyboard (0.0.0+14.04.20140328.1-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Use Ubuntu-specific IBus D-Bus API so that we don't have to replace
    the old IBus panel service in order to inspect and activate IBus
    engine properties. (LP: #1290881)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Mar 2014 14:59:09 +0000

indicator-keyboard (0.0.0+14.04.20140311-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Add desktop_lockscreen profile

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 18:29:39 +0000

indicator-keyboard (0.0.0+14.04.20140227.3-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * Drop unity8 test description, that indicator is used on desktop only

  [ William Hua ]
  * Do not set org.gnome.desktop.input-sources.current when unchanged
    (LP: #1256559). (LP: #1256559)
  * Update icons when icon theme changes. (LP: #1237749)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Feb 2014 19:38:10 +0000

indicator-keyboard (0.0.0+14.04.20140220-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Implement the IBus panel within the indicator.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 16:16:34 +0000

indicator-keyboard (0.0.0+14.04.20140219.1-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Sebastien Bacher ]
  * use unity-control-center instead of gnome-control-center

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Feb 2014 17:33:49 +0000

indicator-keyboard (0.0.0+14.04.20140207-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Adding acceptance tests and merge review policies.

  [ William Hua ]
  * Fix tests by restoring DISPLAY's value.
  * Replace BAMF with Unity window stack API calls.

  [ CI bot ]
  * Adding acceptance tests and merge review policies

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Feb 2014 16:27:55 +0000

indicator-keyboard (0.0.0+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Enable middle click and mouse wheel scrolling. (LP: #887139)
  * Add accountsservice.vapi (accountsservice no long ships it).

  [ Allan LeSage ]
  * Add gcov coverage tooling; use ./autogen.sh --enable-gcov and then
    make coverage-html to see a report of what's covered. You can read
    about the rationale in this old blog post:
    http://qualityhour.wordpress.com/2012/01/29/test-coverage-tutorial-
    for-cc-autotools-projects/ .

  [ Lars Uebernickel ]
  * Set the indicator's position according to
    http://wiki.ubuntu.com/SystemComponents.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 185

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 03:55:06 +0000

indicator-keyboard (0.0.0+14.04.20131029.1-0ubuntu1) trusty; urgency=low

  [ Dmitrijs Ledkovs ]
  * Define "ubiquity" indicator profile, reusing the greeter object. (LP:
    #1241539)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 155



=== debian/control ===
Source: ayatana-indicator-keyboard
Section: nightly/misc
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               libglib2.0-dev (>= 2.36),
               libx11-dev (>=1.7.0),
               libxklavier-dev (>=5.4),
               libayatana-common-dev (>= 0.9.3),
# for packaging
               debhelper (>= 10),
               dh-systemd | hello,
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.5.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard

Package: ayatana-indicator-keyboard
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator Keyboard Applet
 This package contains the keyboard indicator, which should show as an
 icon in the top panel of indicator aware destkop environments.
 .
 It can be used to switch key layouts or languages, and helps the user
 identifying which layouts are currently in use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@ --with systemd

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-keyboard -name \*.la -delete
	find debian/ayatana-indicator-keyboard -name \*.a -delete
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-keyboard 22.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-set(PROJECT_VERSION "0.7.901")
+set(PROJECT_VERSION "22.2.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
@@ -22,14 +22,17 @@
 endif()
 
 if(ENABLE_WERROR)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+    add_definitions("-Werror")
+endif()
+
+if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+    add_definitions("-Weverything")
+else()
+    add_definitions("-Wall")
 endif()
 
 # GNU standard installation directories
 include (GNUInstallDirs)
-set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
-set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 
 # Gettext
 set(GETTEXT_PACKAGE "ayatana-indicator-keyboard")
@@ -49,21 +52,8 @@
 add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr ${CMAKE_SOURCE_DIR}/src)
 
 # Actual building
-if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-
-  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Weverything")
-  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-c++98-compat -Wno-padded")
-  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-documentation")
-
-else()
-
-  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall")
-
-endif()
-
 include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
 include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
-
 add_subdirectory(src)
 add_subdirectory(data)
 add_subdirectory(po)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
     set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
     set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
     set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
-    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
     configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
     install (FILES "${SYSTEMD_USER_FILE}" DESTINATION "${SYSTEMD_USER_DIR}")
 
@@ -23,7 +22,6 @@
 set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
 set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
 set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
 configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
 install (FILES "${XDG_AUTOSTART_FILE}" DESTINATION "${XDG_AUTOSTART_DIR}")

=== debian/changelog ===
ayatana-indicator-keyboard (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 17:02:00 +0100

ayatana-indicator-keyboard (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/copyright:
    + Add auto-generated copyright.in reference file for tracking copyright
      changes in later uploads.
    + Update copyright attributions.
  * debian/control:
    + Add to B-D: libayatana-common-dev (>= 0.9.3).
    + Bump Standards-Version: 4.6.0. No changes needed.
    + Update LONG_DESCRIPTION, fix grammar issues, etc.
  * debian/ayatana-indicator-keyboard.lintian-overrides:
    + Override warnings/errors regarding the dynamically loaded library
      modules.
  * debian/rules:
    + Adjust for upstream release 0.9.0.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 22:29:20 +0100

=== debian/control ===
Source: ayatana-indicator-keyboard
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               libayatana-common-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.36),
               libx11-dev (>= 1.6.4),
               libxklavier-dev (>= 5.4),
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-keyboard.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-keyboard

Package: ayatana-indicator-keyboard
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator for managing keyboard layout and desktop language
 This Ayatana Indicator for keyboard layout configuration shows as an
 icon in the top panel of indicator aware destkop environments. It should
 appear on the very left (or the very right for RTL desktop layouts) and
 present itself to the user with a language letter symbol.
 .
 With the keyboard indicator, you can switch between keyboard layouts or
 languages, and it helps you identifying which layouts are currently in
 use.

## ayatana-indicator-keyboard 22.2.3

=== debian/changelog ===
ayatana-indicator-keyboard (22.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Jul 2022 22:51:55 +0200

ayatana-indicator-keyboard (22.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-Ds: libaccountsservice-dev, libxkbcommon-dev (>=1.0.3), and
      libxkbregistry-dev (>=1.0.3).
    + Relax versioned B-D on libxklavier-dev (5.4 -> 5.3).
  * debian/ayatana-indicator-keyboard.links:
    + Drop file, not requires for DH compat level 12 and above.
  * debian/ayatana-indicator-keyboard.lintian-overrides:
    + Adjust link-to-shared-library-in-wrong-package override phrasing.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jun 2022 06:50:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,10 @@
                libayatana-common-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.36),
                libx11-dev (>= 1.6.4),
-               libxklavier-dev (>= 5.4),
+               libxklavier-dev (>= 5.3),
+               libxkbcommon-dev (>=1.0.3),
+               libxkbregistry-dev (>=1.0.3),
+               libaccountsservice-dev,
 # for packaging
                debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),

## ayatana-indicator-keyboard 22.2.3-0+git20220905.1269+12.nightly.1

=== debian/changelog ===
ayatana-indicator-keyboard (22.2.3-0+git20220905.1269+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    ef217bb35786879586bf0fd2091e1977d07f5726).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Mon, 05 Sep 2022 21:33:24 +0200

ayatana-indicator-keyboard (22.2.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-keyboard.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Jul 2022 22:36:35 +0200

ayatana-indicator-keyboard (22.2.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-keyboard.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 25 Jun 2022 06:43:57 +0200

ayatana-indicator-keyboard (22.2.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-keyboard.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 21 Jun 2022 20:22:04 +0200

ayatana-indicator-keyboard (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-keyboard.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 21:45:16 +0100

ayatana-indicator-keyboard (0.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-keyboard.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 18 Nov 2021 10:11:43 +0100

## ayatana-indicator-keyboard 22.2.3-0+git20220908.1273+11.nightly.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-set(PROJECT_VERSION "22.2.0")
+set(PROJECT_VERSION "22.2.3")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
@@ -42,8 +42,8 @@
 find_package (PkgConfig REQUIRED)
 include (CheckIncludeFile)
 include (FindPkgConfig)
-pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 libayatana-common>=0.9.3)
-pkg_check_modules(X11_DEPS REQUIRED x11>=1.6.7 libxklavier>=5.4)
+pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 libayatana-common>=0.9.3 accountsservice xkbcommon>=1.0.3 xkbregistry>=1.0.3)
+pkg_check_modules(X11_DEPS REQUIRED x11>=1.6.5 libxklavier>=5.3)
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})
 
 # custom targets

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -38,3 +38,18 @@
 set (ICON_DIR "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor")
 message (STATUS "${ICON_DIR} is the Icon install dir")
 install (DIRECTORY icons/scalable DESTINATION "${ICON_DIR}" FILES_MATCHING PATTERN "*.svg")
+
+# org.ayatana.indicator.keyboard.AccountsService.xml
+
+install(FILES org.ayatana.indicator.keyboard.AccountsService.xml DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces")
+install(DIRECTORY DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/")
+install(CODE "message(STATUS \"Symlinking: \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.keyboard.AccountsService.xml\")")
+install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../../dbus-1/interfaces/org.ayatana.indicator.keyboard.AccountsService.xml \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.keyboard.AccountsService.xml)")
+
+# org.ayatana.indicator.keyboard.AccountsService.policy
+
+install(FILES org.ayatana.indicator.keyboard.AccountsService.policy DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions")
+
+# 50-org.ayatana.indicator.keyboard.AccountsService.pkla
+
+install(FILES 50-org.ayatana.indicator.keyboard.AccountsService.pkla DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")

=== debian/changelog ===
ayatana-indicator-keyboard (22.2.3-0+git20220908.1273+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    a4fd7cb15ced51579a2e4910e840e0d400f25751).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 08 Sep 2022 11:20:42 +0200

=== debian/control ===
Source: ayatana-indicator-keyboard
Section: nightly/misc
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               libglib2.0-dev (>= 2.36),
               libx11-dev (>=1.7.0),
               libxklavier-dev (>=5.4),
               libayatana-common-dev (>= 0.9.3),
               libxkbcommon-dev (>=1.0.3),
               libxkbregistry-dev (>=1.0.3),
               libaccountsservice-dev,
# for packaging
               debhelper (>= 10),
               dh-systemd | hello,
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.5.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard

Package: ayatana-indicator-keyboard
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator Keyboard Applet
 This package contains the keyboard indicator, which should show as an
 icon in the top panel of indicator aware destkop environments.
 .
 It can be used to switch key layouts or languages, and helps the user
 identifying which layouts are currently in use.

## ayatana-indicator-keyboard 22.2.3-0+git20220908.1273+12.nightly.1

=== debian/changelog ===
ayatana-indicator-keyboard (22.2.3-0+git20220908.1273+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    a4fd7cb15ced51579a2e4910e840e0d400f25751).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 08 Sep 2022 11:20:35 +0200

## ayatana-indicator-keyboard 22.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-set(PROJECT_VERSION "22.2.3")
+set(PROJECT_VERSION "22.9.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== debian/changelog ===
ayatana-indicator-keyboard (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 12:51:39 +0200

## ayatana-indicator-keyboard 22.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-set(PROJECT_VERSION "22.9.0")
+set(PROJECT_VERSION "22.9.1")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -53,3 +53,8 @@
 # 50-org.ayatana.indicator.keyboard.AccountsService.pkla
 
 install(FILES 50-org.ayatana.indicator.keyboard.AccountsService.pkla DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")
+
+# org.ayatana.indicator.keyboard.gschema.xml
+
+find_package (GSettings REQUIRED)
+add_schema ("org.ayatana.indicator.keyboard.gschema.xml")

=== debian/changelog ===
ayatana-indicator-keyboard (22.9.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001-Try-to-place-the-indicator-in-the-leftmost-position-.patch.
      Try to place indicator correctly in Lomiri.
    + Add 2001_use-keyboard-icon.patch. Also use keyboard icon (and not the
      language code) on desktops.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 22:30:05 +0100

ayatana-indicator-keyboard (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 08:17:12 +0100

=== debian/control ===
Source: ayatana-indicator-keyboard
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               libayatana-common-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.36),
               libx11-dev (>= 1.6.4),
               libxklavier-dev (>= 5.3),
               libxkbcommon-dev (>=1.0.3),
               libxkbregistry-dev (>=1.0.3),
               libaccountsservice-dev,
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-keyboard.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-keyboard

Package: ayatana-indicator-keyboard
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator for managing keyboard layout and desktop language
 This Ayatana Indicator for keyboard layout configuration shows as an
 icon in the top panel of indicator aware destkop environments. It should
 appear on the very left (or the very right for RTL desktop layouts) and
 present itself to the user with a language letter symbol.
 .
 With the keyboard indicator, you can switch between keyboard layouts or
 languages, and it helps you identifying which layouts are currently in
 use.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
     $(NULL)
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
@@ -24,7 +24,10 @@
 override_dh_install:
 	find debian/ayatana-indicator-keyboard -name \*.la -delete
 	find debian/ayatana-indicator-keyboard -name \*.a -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## ayatana-indicator-keyboard 24.2.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (ayatana-indicator-keyboard VERSION "24.2.0" LANGUAGES C CXX)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Options
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

set(CMAKE_BUILD_TYPE "Release")

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# GNU standard installation directories
include (GNUInstallDirs)

# Gettext
set(GETTEXT_PACKAGE "ayatana-indicator-keyboard")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

# Check for prerequisites
find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)
pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 libayatana-common>=0.9.9 accountsservice xkbcommon>=1.0.3 xkbregistry>=1.0.3)
pkg_check_modules(X11_DEPS REQUIRED x11>=1.6.5 libxklavier>=5.3)
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

# custom targets
set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr ${CMAKE_SOURCE_DIR}/src)

# Actual building
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

# Display config info
message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -35,9 +35,7 @@
 
 # Icons
 
-set (ICON_DIR "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor")
-message (STATUS "${ICON_DIR} is the Icon install dir")
-install (DIRECTORY icons/scalable DESTINATION "${ICON_DIR}" FILES_MATCHING PATTERN "*.svg")
+install (DIRECTORY "icons/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons")
 
 # org.ayatana.indicator.keyboard.AccountsService.xml
 
@@ -54,6 +52,10 @@
 
 install(FILES 50-org.ayatana.indicator.keyboard.AccountsService.pkla DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")
 
+# 50-org.ayatana.indicator.keyboard.AccountsService.rules
+
+install (FILES 50-org.ayatana.indicator.keyboard.AccountsService.rules DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/rules.d")
+
 # org.ayatana.indicator.keyboard.gschema.xml
 
 find_package (GSettings REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
 # libayatanaindicatorkeyboardservice.a
 
 add_definitions(-DG_LOG_DOMAIN="ayatana-indicator-keyboard")
-set_source_files_properties(service.c PROPERTIES COMPILE_FLAGS "-std=c99")
 add_library("ayatanaindicatorkeyboardservice" STATIC service.c)
 include_directories(${CMAKE_SOURCE_DIR})
 link_directories(${SERVICE_DEPS_LIBRARY_DIRS})
@@ -25,6 +24,5 @@
 # ayatana-indicator-keyboard-service
 
 add_executable("ayatana-indicator-keyboard-service" main.c)
-set_source_files_properties(service.c main.c PROPERTIES COMPILE_FLAGS "-std=c99")
 target_link_libraries("ayatana-indicator-keyboard-service" "ayatanaindicatorkeyboardservice" "${SERVICE_DEPS_LIBRARIES} -ldl")
-install(TARGETS "ayatana-indicator-keyboard-service" RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
+install(TARGETS "ayatana-indicator-keyboard-service" RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== debian/changelog ===
ayatana-indicator-keyboard (24.2.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:08 +0000

ayatana-indicator-keyboard (24.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:27 +0000

ayatana-indicator-keyboard (24.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Feb 2024 12:18:14 +0100

ayatana-indicator-keyboard (23.10.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + In B-D:, switch from systemd to systemd-dev. (Closes: #1060470).
  * debian/patches:
    + Add patch header to 2001_use-keyboard-icon.patch.
  * lintian: Drop library-not-linked-against-libc from lintian overrides. Not
    getting triggered anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 15:59:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-keyboard
 Section: misc
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -19,8 +20,8 @@
                dpkg-dev (>= 1.16.1.1),
                intltool,
 # for systemd unit
-               systemd [linux-any],
-Standards-Version: 4.6.1
+               systemd-dev [linux-any],
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-keyboard.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-keyboard/ayatana-indicator-keyboard-(.+)\.tar\.gz
